# -*- coding: utf-8 -*-
"""
Created on Mon Nov 11 12:38:39 2024

@author: Giovanni
"""

from PCA_reconstruction import PCA_reconstruction  # Import the function
from SPRT_PCA import SPRT  # Import the SPRT_PCA function

# from AAKR_reconstruction import AAKR_reconstruction_ex  # Import the AAKR reconstruction function

# Parameters
perc_var = 0.8
train_data_name = 'train.dat'

# You can uncomment one of these test datasets to try different ones
# test_data_name = 'test_1.dat'
test_data_name = 'test_2.dat'
# test_data_name = 'test_3.dat'  # Currently chosen test dataset

# Perform PCA reconstruction
test_reconstruction, n_PC, rmse = PCA_reconstruction(train_data_name, test_data_name, perc_var)

# Print the results
print(f"Number of Principal Components: {n_PC}")
print(f"RMSE: {rmse}")

SPRT('signal7_test2_meas.dat','signal7_test2_rec.dat', 0.01,0.01,1.5,0.2);
